/*
A structure to contain only the relevant HDF information from
the input granules.
*/

/* Info on each input file (sds indexs and scale/offset) */
typedef struct {
	/* Files*/
	char *infile_viae;	
	char *infile_vmae;	
	char *infile_imft;
	char *infile_qslwmip;
	char *infile_ref;
	char *infile_vcdgip;

	char *viae_filename;	
	char *vmae_filename;	
	char *imft_filename;
	char *qslwmip_filename;
	char *vcdgip_filename;

	FILE *ref_file_ptr;

	int32	sd_id_viae;
	int32	sd_id_imft;
	int32	sd_id_vmae;
	int32	sd_id_qslwmip;
	int32	sd_id_vcdgip;
	int32	h_id_imft;

	int32	sds_index_ref1, sds_index_ref2, sds_index_ref3;
	int32	sds_index_bt4, sds_index_bt5;
	int32	sds_index_rad13_agg, sds_index_rad13_unagg;
	int32	sds_index_qstlwm;

	int32	sds_index_ref1_fac;
	int32	sds_index_ref2_fac;
	int32	sds_index_ref3_fac;
	int32	sds_index_bt4_fac;
	int32	sds_index_bt5_fac;

	int32	sds_index_QF1;
	int32	sds_index_QF2;
	int32	sds_index_QF3;
	int32	sds_index_QF4;
	int32	sds_index_QF5;
	int32	sds_index_QF13;
	int32	sds_index_QFGeo;

	int32	sds_index_lat, sds_index_lon;
	int32	sds_index_viewzen, sds_index_solzen;
	int32	sds_index_viewaz, sds_index_solaz, sds_index_midtime;

	int verbose;

	char BeginningDate[9];
	char BeginningTime[15];

	char *timestamp;
	int		nscans;
	enum Satellite	sat;


	float		ScaleR1, OffsetR1;
	float		ScaleR2, OffsetR2;
	float		ScaleR3, OffsetR3;
	float		ScaleT4, OffsetT4;
	float		ScaleT5, OffsetT5;


	} InputInfo;


int InitInputHDF(InputInfo *);
int ReadInputs(InputInfo *in_info, Juggernaut *);

